From ce2c2ba18b1dafd3ec8a383b2939cbeb0980fe58 Mon Sep 17 00:00:00 2001
From: David Christensen <david@endpoint.com>
Date: Thu, 23 Jan 2020 14:28:02 -0600
Subject: [PATCH] Be explicit about the behavior of REFRESH PUBLICATION's
 copy_data

The docs were ambiguous as to which tables would be copied over when the copy_data parameter was
true in an ALTER SUBSCRIPTION ... REFRESH PUBLICATION, so make it clear that it only applied to
tables which were new in the publication.

Should be applied back to version 10 where the feature was introduced.
---
 doc/src/sgml/ref/alter_subscription.sgml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/ref/alter_subscription.sgml b/doc/src/sgml/ref/alter_subscription.sgml
index 6dfb2e4d3e..bfa83577c4 100644
--- a/doc/src/sgml/ref/alter_subscription.sgml
+++ b/doc/src/sgml/ref/alter_subscription.sgml
@@ -128,7 +128,9 @@ ALTER SUBSCRIPTION <replaceable class="parameter">name</replaceable> RENAME TO <
          <para>
           Specifies whether the existing data in the publications that are
           being subscribed to should be copied once the replication starts.
-          The default is <literal>true</literal>.
+          The default is <literal>true</literal>.  This option only applies to
+          new tables in the publication which were not part of the local
+          subscription; it does not copy data for already known tables.
          </para>
         </listitem>
        </varlistentry>
-- 
2.21.1 (Apple Git-122.3)

